OTBGUI_MORPHOLOGICALCLASSIFICATION(1)

NAME
otbgui_MorphologicalClassification - OTB MorphologicalClassification application

DESCRIPTION
This is the MorphologicalClassification application, version 6.0.0 Performs morphological convex, concave and flat classification on an input image channel

Complete documentation: http://www.orfeo-toolbox.org/Applications/MorphologicalClassification.html

  Parameters:

-progress
    <boolean> Report progress

-in <string> Input Image (mandatory) -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-structype <string>
    Structuring Element Type [ball/cross] (mandatory, default value is ball)

-radius
    <int32> Radius (mandatory, default value is 5)

-sigma
    <float> Sigma value for leveling tolerance (mandatory, default value is 0.5)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_MorphologicalClassification -in ROI_IKO_PAN_LesHalles.tif -channel 1 -structype ball -radius 5 -sigma 0.5 -out output.tif